# /etc/ax25/axgetlist.conf
#
# axgetlist Configuration File.
#
# This file consists of paragraphs - one for each BBS. Each paragraph
# starts with [callsign].
#
############################################################################
# Start of the first paragraph
[OK0PAB]
#
# My callsign (you can specify the SSID too)
#
MYCALL OK2JBG
#
# BBS callsign, add the SSID and the digipeaters if any
#
BBSCALL CZ0PIG OK0NMA
#
# AX.25 port for connecting BBS
#
BBSPORT kiss
#
#
# BBS commands
# ------------
# Commands for obtaining list of all new messages (separated by ';')
# CAUTION: The list must be sorted by message number by _ascending_ order
#          (in case of F6FBB BBS use the LR command)
#
CMD_LIST lc *;lr
#
# Commands for obtaining list of messages starting from a particular message
# number (separated by ';'). The $ character will be replaced with the
# message number.
# CAUTION: The list must be sorted by message number by _ascending_ order
#          (in case of F6FBB BBS use the LR $- command)
#
CMD_LIST_FROM lc *;lr $-
#
# Commands for disconnect
#
CMD_DISC b
#
# List format specifiaction
# -------------------------
#
# Number of lines between the list command and the first message line.
# (length of the list header)
#
HEADER_LINES 3
#
# The order of fields in the list
# You can use folowing words to specify the meaning of each field:
# <NUM>    - message number
# <FLAG>   - message flags (bulletin/private, local ...)
# <SIZE>   - message size
# <TO>     - destination callsign
# <BBS>    - destination BBS
# <FROM>   - source (sender) callsign
# <DATE>   - date
# <TIME>   - time
# <SUBJ>   - subject
# <OTHER>  - other (not interesting) field
#
# You can use \nnn to skip to a fixed position <nnn> from the line begining
# (line begining has position 0)
#
FORMAT <NUM> <FLAGS> \12 <SIZE> <TO>@<BBS> <FROM> <DATE>/<TIME> <SUBJ>
#
# Date format
# (d = day, m = month (numerical), y = year, M - month in words (e.g. Jan))
# Example: yymmdd (e.g. 020125)
#      or: dd-MMM-yyyy (e.g 25-Jan-2002)
#
DATEFMT ddmm
#
# Names of months (when MMM is used above)
#
MONTH 1 Jan
MONTH 2 Feb
MONTH 3 Mar
MONTH 4 Apr
MONTH 5 May
MONTH 6 Jun
MONTH 7 Jul
MONTH 8 Aug
MONTH 9 Sep
MONTH 10 Oct
MONTH 11 Nov
MONTH 12 Dec
#
# Which position of the FLAGS string contains the B/P flag
# (usually the first one - 1)
#
BPFPOS 1
#
# End of the fist paragraph
############################################################################
# Start of second paragraph (this is an example only)
#[OK0PAB]
#MYCALL OK2JBG
#BBSCALL CZ0PIG OK0NMA
#BBSPORT kiss
#CMD_LIST lc *;lr
#CMD_LIST_FROM lc *;lr $-
#CMD_DISC b
#HEADER_LINES 3
#FORMAT <NUM> <FLAGS> <SIZE> <TO>@<BBS> <FROM> <DATE>/<TIME> <SUBJ>
#DATEFMT ddmm
#BPFPOS 1
#
# End of paragraph
############################################################################
# End of axgetlist.conf
